Subject: Re: Problems with ssh when I log into my PC using my corporate domain while working from home
From: Mark Hansen <[email-masked]>
To: [email-masked]
Date: Tue, 21 Apr 2020 14:52:45 -0700
Newsgroups: gmane.os.cygwin
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 4/21/2020 8:33 AM, Mark Hansen wrote:
> I have a Windows 10 laptop, on which I installed Cygwin. I always log into the machine using
> my corporate domain account. When I log into the machine from my office, everything Cygwin
> works fine.
> 
> When I log into my laptop from home (which I'm working from home for a while now, due to
> COVID-19), I still log in using my corporate domain account, but Cygwin acts differently.
> 
> Here is my user id (from the id command) when I log in from the office:
> 
> uid=1293438(Mark.Hansen) gid=1049089(Domain Users) ...
> 
> Here is the same when I've logged in with the machine at home:
> 
> uid=1293438(MAN+User(244862)) gid=1293438
> 
> (MAN) is the domain.
> 
> The actual problem I'm having is that Cygwin tools like ssh, git, etc. can't find my .ssh
> directory. They are looking in "/" rather than my home directory.
> 
> I tried copying my .ssh directory from my home to "/" and although it was created, the
> files have the wrong permissions and I'm unable to change them.
> 
> Is there something I can tweak to get Cygwin to understand which user I am so the ssh
> stuff can start working again?
> 
> Thanks for any help.
> 

To answer a question posed by someone to my private e-mail:

I didn't have the HOME environment variable set at first. When the PC is at my office,
Cygwin worked fine. When I took the PC home and logged in there, I had severe Cygwin
issues - I wasn't able to open a Cygwin Terminal or an XTerm terminal - it seemed it
didn't know where my HOME directory was.

As a result, I set my HOME directory in the environment settings for my user. Once I
did that, I was able to use the Cygwin Terminal and XTerm terminals again.

The only thing that is still not working (as far as I can see) is any ssh client which
needs to find the .ssh directory (like ssh or git, etc.).

--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple